## gimp-plugin-registry 7.20140602ubuntu3

=== cmyk-tiff-2-pdf/Makefile ===
SCRIPT = cmyk-tiff-2-cmyk-pdf.py

include ../common-py.mk

=== contact-sheet/Makefile ===
SCRIPT = contactsheet.py

include ../common-py.mk

=== fix-ca/Makefile ===
PLUGIN = fix-ca

include ../common.mk

=== focus-blur/Makefile ===
CLEAN-HOOK = rm -f src/po/*.gmo src/pixmaps/pixbufs.h
include ../common-autotools.mk

=== gimp-fx-foundry/Makefile ===

SCRIPT = $(shell find src -type f -name '*.scm' | sed 's,^src/,,')
SCRIPT_SRCDIR = src

include ../common-script.mk

update-from-svn:
	rm -rf src
	svn export https://gimpfx-foundry.svn.sourceforge.net/svnroot/gimpfx-foundry/gimp-2.6/stable/ src
	rm -f version
	svn info  https://gimpfx-foundry.svn.sourceforge.net/svnroot/gimpfx-foundry/gimp-2.6/stable/ | grep '^Revision' | awk '{print "r"$$2}' > version

copyright: copyright.in
	rm -f $@
	cp copyright.in $@
	grep -Ei '^;.*copyright' src/*.scm | sed 's,:;,:,;s,^src/,,;s,^,    ,' >> $@

.PHONY: update-from-svn

=== lqr/Makefile ===

include ../common-autotools.mk

=== normalmap/Makefile ===
PLUGIN=src/normalmap

build: 
	cd src; $(MAKE) -f Makefile.linux \
                       CFLAGS="$(CFLAGS) `pkg-config --cflags gtk+-2.0 gtkglext-1.0 gimp-2.0`" \
                       LDFLAGS="$(LDFLAGS)" CPPFLAGS="$(CPPFLAGS)" CC="$(CC)" LD="$(CC)"

install:
	mkdir -p $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 $(PLUGIN) $(DESTDIR)$(PLUGINBINDIR)

clean:
	$(MAKE) -C src clean

.PHONY: install clean build

=== refocus/Makefile ===

include ../common-settings.mk

CC=gcc

build: build-stamp
build-stamp:
	set -e; cd build; $(CC) *.c $(CFLAGS) `pkg-config --cflags gimp-2.0 gtk+-2.0` \
			        -I/usr/include/atlas \
				-L/usr/lib/libblas -L/usr/lib/lapack -lblas -llapack -lm \
	                        $(LDFLAGS) \
	                        `pkg-config --libs gimp-2.0 gtk+-2.0`  \
	                        -o refocus
	touch build-stamp

clean:
	rm -f build-stamp
	rm -f build/*.o build/refocus

install:
	install -m 755 -d $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 build/refocus $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 -d $(DESTDIR)$(DOCDIR)
	install -m 644 src/doc/doc.html $(DESTDIR)$(DOCDIR)
	install -m 644 src/doc/doc.pdf $(DESTDIR)$(DOCDIR)

.PHONY: clean

=== wavelet-decompose/Makefile ===

build: build-stamp

build-stamp:
	make -C src CFLAGS="$(CFLAGS) $(shell gimptool-2.0 --cflags)"
	touch build-stamp

install: build
	install -m 755 -d $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 -d $(DESTDIR)/usr/share/locale
	make -C src/po install LOCALEDIR=$(DESTDIR)/usr/share/locale
	install -m 755 src/src/wavelet-decompose $(DESTDIR)$(PLUGINBINDIR)

clean:
	rm -f build-stamp
	make -C src clean

.PHONY: install clean build

=== DBP/dbp-1.1.9/Makefile ===
#
# all our Makefiles are lovingly handcrafted by our semi-skilled technicians
#
# GIMPARGS = $(shell gimptool-2.0 --cflags --libs)
GIMPARGS = $(shell pkg-config --cflags --libs gimpui-2.0)
# NODEPS = -DGIMP_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
# gimp progress api changed in 2.3.something - compiles OK with this though
NODEPS = -DGTK_DISABLE_DEPRECATED

all: dbp

dbp: *.cc *.h
	g++ -o dbp -Wall -O2 -I. *.cc $(GIMPARGS) $(NODEPS) $(CPPFLAGS) $(LDFLAGS)

install: dbp
	gimptool-2.0 --install-bin dbp

install-admin: dbp
	gimptool-2.0 --install-admin-bin dbp

clean:
	rm dbp

=== wavelet-decompose/wavelet-decompose-0.1.2/Makefile ===
.PHONY: all po src install uninstall userinstall useruninstall clean dist

all: po src

po:
	$(MAKE) -C po
src:
	$(MAKE) -C src

install:
	$(MAKE) -C po install
	$(MAKE) -C src install

uninstall:
	$(MAKE) -C po uninstall
	$(MAKE) -C src uninstall

userinstall:
	$(MAKE) -C po userinstall
	$(MAKE) -C src userinstall

useruninstall:
	$(MAKE) -C po useruninstall
	$(MAKE) -C src useruninstall

clean:
	$(MAKE) -C po clean
	$(MAKE) -C src clean

dist:
	$(error make dist not implemented!)

=== wavelet-decompose/wavelet-decompose-0.1.2/po/Makefile ===
PLUGIN = wavelet-decompose
LOCALEDIR = /usr/share/locale
LANGUAGES = de ru it pl

# END CONFIG ##################################################################

.PHONY: all install userinstall uninstall useruninstall clean $(LANGUAGES)
.PHONY: update-po update-pot

all: $(LANGUAGES)

PO_FILES = $(foreach lang, $(LANGUAGES), $(lang).po)

$(LANGUAGES):
	msgfmt -c -v -o $@.mo $@.po

update-po: $(PO_FILES)

$(PO_FILES): $(PLUGIN).pot
	if [[ -e $@ ]]; \
	then msgmerge -U $@ $^; \
	else msginit -l $(subst .po,,$@) -o $@ -i $^; \
fi

install: $(LANGUAGES)
	for L in $(LANGUAGES); \
	do install -v -m 0644 $$L.mo "$(LOCALEDIR)/$$L/LC_MESSAGES/gimp20-$(PLUGIN)-plug-in.mo"; \
done

uninstall: $(LANGUAGES)
	for L in $(LANGUAGES); \
	do rm -vf "$(LOCALEDIR)/$$L/LC_MESSAGES/gimp20-$(PLUGIN)-plug-in.mo"; \
done

clean:
	rm -f *.po~ *.mo $(PLUGIN).pot

userinstall:
	$(warning Will not install gettext files for user installation!)

useruninstall:
	$(warning Will not uninstall gettext files for user installation!)

$(PLUGIN).pot: ../src/*.h ../src/*.c
	xgettext -C '-k_' -kN_ -d $(PLUGIN) -o $@ $^

update-pot: $(PLUGIN).pot

=== debian/changelog ===
gimp-plugin-registry (7.20140602ubuntu3) zesty; urgency=medium

  * No-change rebuild against latest glew

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 06 Nov 2016 22:26:42 -0500

=== debian/control ===
Source: gimp-plugin-registry
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>
Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
 python, automake, autoconf, autotools-dev, dh-autoreconf,
 libxml-parser-perl, libfftw3-dev, liblqr-1-0-dev, libglew-dev, libgtkglext1-dev, libblas-dev, liblapack-dev, libf2c2-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
 python-debian
Standards-Version: 3.9.5
Vcs-Git: https://github.com/bzed/gimp-plugin-registry.git
Vcs-Browser: https://github.com/bzed/gimp-plugin-registry

Package: gimp-plugin-registry
Architecture: any
Depends: gimp (>= 2.6),
 ${shlibs:Depends}, ${misc:Depends},
 python, libtiff-tools, xdg-utils,
Suggests: icc-profiles, 
Breaks: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer (<< 0.16-2~)
Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer
Provides: gimp-save-for-web, gimp-resynthesizer
Enhances: gimp
Recommends: gimp-gmic, 
Description: repository of optional extensions for GIMP
 The package contains the following plugins:
 .
   * DBP (1.1.9): David's Batch Processor
     A simple batch processing plugin for The Gimp - it allows
     the user to automatically perform operations (such as resize)
     on a collection of image files.
   * add-filmgrain (2.8): Add Film Grain
     Helps adding realistic film grain to BW images.
   * btn4ws (0.8.0.1): btn4ws
     Generates a series of buttons in three states (passive, active, pressed)
     with various selectable effects on them, as well as XHTML, CSS and
     JavaScript code for using the buttons.
   * bw-simulation (1.1): Black and White Film Simulation
     Converts the selected layer into Black and White using
     the channel mixer. Tries to produce results resembling
     tonal qualities of film.
   * cmyk-tiff-2-pdf (20090321): CMYK Tiff 2 PDF for Gimp
     This plugin completes the prepress workflow of using Separate+ to generate
     CMYK Tiff images by allowing you to convert the saved CMYK Tiff image into
     a PDF file.
   * contact-sheet (2.16): Contact Sheet
     Generates a contact sheet(s) for a directory of images.
   * diana-holga2 (c): Diana-Holga2
     Diana/Holga Toys Cameras effect simulator.
   * elsamuko: El Samuko GIMP Scripts:
     * Antique Photo Border Script:
       This script simulates a yellowed and slightly jagged border
       like these of old photographies.
     * Che Guevara Script:
       This script generates a poster like the famous Che Guevara
       one from Jim Fitzpatrick.
     * Cyanotype Script:
       This script simulates the Cyanotype printing process.
     * Difference Layer Script
       This script generates two difference layers from the two layers
       on the top. It's similar to GIMP's built-in Grain Extract/Merge
       function, but the tonal range is bigger.
       Now you can apply further editing and "switch on/off" the
       adjustment by switching the visibility of the subtractive and
       the additive layer.
       Also you can change the modification intensity by changing the
       intensity of these two layers.
     * Erosion Sharpen:
       Sharpens the image with erosion and dilation.
     * Escape Line Script:
       This script creates escaping lines from any point. It's similar
       in function to the built-in Line-Nova Script, but much more
       flexible. So you can chose the center, the thickness, the angle,
       the length, the offset and the randomness.
     * Film Grain Script:
       This is yet another script which simulates the typical film grain
       of high ISO pictures.
     * First Photo Border Script:
       This script simulates the cut-off of the first picture of a film
       roll of cheap cameras like Lomo.
     * Lomo Script with Old Style Colors
       This script simulates the Lomo effect.
     * Movie 300 Script:
       This script simulates the color style of the movie "300".
     * National Geographic Script:
       This script simulates a high quality (portrait) photo like
       these from the National Geographic.
     * Obama "HOPE" Script:
       This script generates a poster like the famous Obama "HOPE"
       one from Shepard Fairey.
     * Rainy Landscape Script:
       This script changes a dry landscape to a wet one.
     * Photochrom Script:
       This script simulates a photochrom image, a lithographic printing
       process from the 1890's.
     * Sprocket Hole Script:
       This script simulates complete exposed 35mm film strips with frame
       numbers, lettering, overexposed sprocketholes and DX film edge barcodes.
     * Sunny Landscape Script:
       This script changes a rainy landscape to a sunny one.
     * Technicolor 2 Color Script:
       This script simulates the 2 Color Technicolor effect.
     * Technicolor 3 Color Script:
       This script simulates the 3 Color Technicolor effect.
     * Vintage Look Script:
       This script simulates a 70s vintage look.
   * exposure-blend (1.3b): Exposure Blend
     Prompt for 3 images in a bracketed exposure series (e.g. 0,-2,+2 EV)
     and blend these into a contrast enhanced image.
   * ez-perspective: EZ Perspective:
     Specialized tool for easily correcting or changing perspective.
   * fix-ca (3.0.2): Fix-CA
     Corrects chromatic aberration in photos
   * focus-blur (3.2.6): Focus-Blur
     This plugin tries to simulate an out-of-focus blur
   * gimp-fx-foundry (r111): GIMP FX Foundry
     Probably the largest script collection available for The GIMP.
   * gimp-mask: GIMP-Mask:
     Do and undo several popular image masking (that is, censoring)
     methods (CP, FL, Q0, MEKO).
   * hdroberts-tone-adjust (May 24, 2010): Warming and Cooling Filters
     Warm or cool an image using one of several methods:
     Wratten, Roy's Warm, Brauer's Warm, Pasty Cadaveric Look
   * layer-effects (4/12/2012): Layer-Effects
     This is a series of scripts that implement various layer effects:
     Drop Shadow, Inner Shadow, Outer Glow, Inner Glow, Bevel and Emboss,
     Satin, Color Overlay, Gradient Overlay, Pattern Overlay, Stroke
   * lqr (0.7.1): Liquid Rescale
     Content-aware rescaling. Keeps the features of the image while
     rescaling along a single direction.
   * normalmap (1.2.3): Normalmap
     Allows you to convert images into RGB normal maps for use in
     per-pixel lighting applications.
   * openraster (20110529-1d32622): OpenRaster load/save handler
     OpenRaster is an effort by the Create project[1] to offer a standardized
     and open interchange format for raster-based applications. This plugin
     allows one to load and save files in the OpenRaster format.
   * planet-render (1-2): Planet Render
     Creates a planet. Color, size and sun orientation
     can be set.
   * refocus (0.9.1): Refocus
     The GIMP plugin to refocus images using FIR Wiener filtering.
     During image processing operations such as scanning and scaling, images
     tend to get blurry. The blurred impression of these images is due to the
     fact that image pixels are averaged with their neighbors. Blurred images
     don't have sharp boundaries and look as though they have been taken with
     an unfocused camera.
   * resynthesizer (2.0): Resynthesizer
     Gimp plugin for texture synthesis
     This gimp plugin takes samples of textures, and synthesizes larger textures
     from them.  It can be used to extend textures (including making tileable
     textures), remove objects from textures, and make themed images.
   * safe-for-web (0.29.0): Save for Web
     Allows to experiment with various popular web format options. It shows
     an automatically updated preview and file size statistics.
   * separate+ (0.5.8): Separate+
     Separate+ is a plug-in that generates color separations from an RGB
     image, proofs CMYK colors on the monitor and exports the CMYK TIFF file.
   * smart-seperate-sharpen (2.8): Smart Seperate Sharpening
     This script implements a new version of smart sharpening (redux)
     combined with separate sharpen to give better results.
     You can find more about Smart Sharpening at
     http://www.gimpguru.org/Tutorials/SmartSharpening2/
   * streak (0.6): Streak-Camera simulation
     A streak camera images an object through a slit -
     thus getting a "one dimensional image". This image is
     propagated along the second dimension of the image plane
     at a constant speed. The result is a picture of the time
     dependency of the object.
   * traditional-orton: Traditional Orton:
     This is an effect invented by Michael Orton in the 1990s, which
     consists of taking two copies of an image, one blurred, and one sharp,
     and mixing them to produce an image with a dreamy quality. It is
     especially well suited to landscape and flower photography.
   * wavelet-decompose (0.1.2): Wavelet Decompose
     The wavelet decompose plugin decomposes a layer of an image into layers
     of wavelet scales. This means that you can edit the image on different
     detail scales (frequencies). The trivial recomposition of the image can
     be done by GIMP's layer modes so you can see the results of your
     modifications instantly. Among the applications are retouching, noise
     reduction, and enhancing global contrast.
   * wavelet-denoise (0.3.1): Wavelet Denoise
     The wavelet denoise plugin is a tool to selectively reduce noise in
     individual channels of an image with optional RGB<->YCbCr conversion.
     It has a user interface to adjust the amount of denoising applied. The
     wavelet nature of the algorithm makes the processing quite fast.

## gimp-plugin-registry 7.20140602+nmu1

=== debian/changelog ===
gimp-plugin-registry (7.20140602+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop wavelet-decompose plugin: included in gimp 2.10 (Closes: #895387)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 19 Apr 2018 12:25:13 -0400

## gimp-plugin-registry 7.20170217

=== debian/changelog ===
gimp-plugin-registry (7.20170217-1~bpo8.obs) jessie; urgency=medium

  * Rebuild for Debian Jessie.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 17 Mar 2017 14:17:31 -0700

gimp-plugin-registry (7.20170217-0t8~ppa) trusty; urgency=high

  * Kick off some plugins, sorry for that. 😀
    - refocus, focus-blur are not buildable against libgimp2.0-dev version 2.9.5
    - wavelet-decompose is part of gimp-2.9.x now
    - save-for-web crashes

 -- Otto Meier <otto@kesselgulasch.org>  Fri, 17 Feb 2017 02:01:40 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,36 @@
 Source: gimp-plugin-registry
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Otto Kesselgulasch <otto@kesselgulasch.org>
 XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
- python, automake, autoconf, autotools-dev, dh-autoreconf,
- libxml-parser-perl, libfftw3-dev, liblqr-1-0-dev, libglew-dev, libgtkglext1-dev, libblas-dev, liblapack-dev, libf2c2-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
- python-debian
+Build-Depends: autotools-dev, 
+               quilt, 
+               libgimp2.0-dev,
+               libjpeg-dev,
+               intltool,
+               python, 
+               automake, 
+               autoconf, 
+               autotools-dev, 
+               dh-autoreconf,
+               libxml-parser-perl, 
+               libfftw3-dev, 
+               liblqr-1-0-dev, 
+               libglew-dev, 
+               libgtkglext1-dev, 
+               libblas-dev, 
+               liblapack-dev, 
+               libf2c2-dev, 
+               automake (>= 1.6), 
+               autoconf (>= 2.54), 
+               liblcms2-dev, 
+               libtiff-dev, 
+               debhelper (>= 8.0.0), 
+               libglib2.0-dev,
+               python-debian,
+               libgegl-dev,
+               libjson-glib-dev
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/bzed/gimp-plugin-registry.git
 Vcs-Browser: https://github.com/bzed/gimp-plugin-registry

## gimp-plugin-registry 8.20180505

=== bw-simulation/Makefile ===
SCRIPT = BW-Film-Simulation-1.1.scm

include ../common-script.mk

=== debian/changelog ===
gimp-plugin-registry (8.20180505) unstable; urgency=medium

  * Ack'ing NMU, thanks Jeremy!
  * Removing all plugins which don't build with GIMP 2.10.
    Closes: #897480

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 05 May 2018 14:31:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,12 @@
 Source: gimp-plugin-registry
 Section: graphics
 Priority: optional
-Maintainer: Otto Kesselgulasch <otto@kesselgulasch.org>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: autotools-dev, 
-               quilt, 
-               libgimp2.0-dev,
-               libjpeg-dev,
-               intltool,
-               python, 
-               automake, 
-               autoconf, 
-               autotools-dev, 
-               dh-autoreconf,
-               libxml-parser-perl, 
-               libfftw3-dev, 
-               liblqr-1-0-dev, 
-               libglew-dev, 
-               libgtkglext1-dev, 
-               libblas-dev, 
-               liblapack-dev, 
-               libf2c2-dev, 
-               automake (>= 1.6), 
-               autoconf (>= 2.54), 
-               liblcms2-dev, 
-               libtiff-dev, 
-               debhelper (>= 8.0.0), 
-               libglib2.0-dev,
-               python-debian,
-               libgegl-dev,
-               libjson-glib-dev
+Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
+ python, automake, autoconf, autotools-dev, dh-autoreconf,
+ libxml-parser-perl, libfftw3-dev, liblqr-1-0-dev, libglew-dev, libgtkglext1-dev, libblas-dev, liblapack-dev, libf2c2-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
+ python-debian
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/bzed/gimp-plugin-registry.git
 Vcs-Browser: https://github.com/bzed/gimp-plugin-registry
@@ -196,13 +172,6 @@
      consists of taking two copies of an image, one blurred, and one sharp,
      and mixing them to produce an image with a dreamy quality. It is
      especially well suited to landscape and flower photography.
-   * wavelet-decompose (0.1.2): Wavelet Decompose
-     The wavelet decompose plugin decomposes a layer of an image into layers
-     of wavelet scales. This means that you can edit the image on different
-     detail scales (frequencies). The trivial recomposition of the image can
-     be done by GIMP's layer modes so you can see the results of your
-     modifications instantly. Among the applications are retouching, noise
-     reduction, and enhancing global contrast.
    * wavelet-denoise (0.3.1): Wavelet Denoise
      The wavelet denoise plugin is a tool to selectively reduce noise in
      individual channels of an image with optional RGB<->YCbCr conversion.

## gimp-plugin-registry 9.20180625

=== debian/changelog ===
gimp-plugin-registry (9.20180625) unstable; urgency=medium

  * [b24cbac] Auto update of debian/control
  * [9811c42] Auto update of debian/copyright
  * [06d3881] Auto update of debian/control
  * [a951bf6] Updating resynthesizer to 2.0.3
  * [ccf98aa] Add .travis.yml from <http://travis.debian.net>
  * [f6fbbaf] remove resynthesizer patches

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 25 Jun 2018 23:54:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
  python, automake, autoconf, autotools-dev, dh-autoreconf,
- libxml-parser-perl, libfftw3-dev, liblqr-1-0-dev, libglew-dev, libgtkglext1-dev, libblas-dev, liblapack-dev, libf2c2-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
+ libxml-parser-perl, liblqr-1-0-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
  python-debian
 Standards-Version: 3.9.5
 Vcs-Git: https://github.com/bzed/gimp-plugin-registry.git
@@ -111,8 +111,6 @@
      Specialized tool for easily correcting or changing perspective.
    * fix-ca (3.0.2): Fix-CA
      Corrects chromatic aberration in photos
-   * focus-blur (3.2.6): Focus-Blur
-     This plugin tries to simulate an out-of-focus blur
    * gimp-fx-foundry (r111): GIMP FX Foundry
      Probably the largest script collection available for The GIMP.
    * gimp-mask: GIMP-Mask:
@@ -128,9 +126,6 @@
    * lqr (0.7.1): Liquid Rescale
      Content-aware rescaling. Keeps the features of the image while
      rescaling along a single direction.
-   * normalmap (1.2.3): Normalmap
-     Allows you to convert images into RGB normal maps for use in
-     per-pixel lighting applications.
    * openraster (20110529-1d32622): OpenRaster load/save handler
      OpenRaster is an effort by the Create project[1] to offer a standardized
      and open interchange format for raster-based applications. This plugin
@@ -138,14 +133,7 @@
    * planet-render (1-2): Planet Render
      Creates a planet. Color, size and sun orientation
      can be set.
-   * refocus (0.9.1): Refocus
-     The GIMP plugin to refocus images using FIR Wiener filtering.
-     During image processing operations such as scanning and scaling, images
-     tend to get blurry. The blurred impression of these images is due to the
-     fact that image pixels are averaged with their neighbors. Blurred images
-     don't have sharp boundaries and look as though they have been taken with
-     an unfocused camera.
-   * resynthesizer (2.0): Resynthesizer
+   * resynthesizer (2.0.3): Resynthesizer
      Gimp plugin for texture synthesis
      This gimp plugin takes samples of textures, and synthesizes larger textures
      from them.  It can be used to extend textures (including making tileable

## gimp-plugin-registry 9.20180625ubuntu2

=== add-filmgrain/Makefile ===
SCRIPT = Eg-AddFilmGrain.scm

include ../common-script.mk

=== debian/changelog ===
gimp-plugin-registry (9.20180625ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:22:59 +0100

gimp-plugin-registry (9.20180625ubuntu1) focal; urgency=medium

  * Build-depend on dh-python.
  * Don't hard-code python.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Jan 2020 17:30:23 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Bernd Zeimetz <bzed@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
- python, automake, autoconf, autotools-dev, dh-autoreconf,
+ dh-python, python2, automake, autoconf, autotools-dev, dh-autoreconf,
  libxml-parser-perl, liblqr-1-0-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
  python-debian
 Standards-Version: 3.9.5
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: gimp (>= 2.6),
  ${shlibs:Depends}, ${misc:Depends},
- python, libtiff-tools, xdg-utils,
+ python2, ${python:Depends}, libtiff-tools, xdg-utils,
 Suggests: icc-profiles, 
 Breaks: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer (<< 0.16-2~)
 Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

GIMPVER := $(shell dpkg -s libgimp2.0-dev | grep Version | awk '{print $$2}')
export GIMPVER
PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -name old_plugins -prune -o -type d -printf '%f\n' | sort)
export PLUGINS
PLUGINBINDIR := "/usr/lib/gimp/2.0/plug-ins"
export PLUGINBINDIR
PLUGINSCRIPTDIR := "/usr/share/gimp/2.0/scripts"
export PLUGINSCRIPTDIR

%:
	dh $@ --with quilt,python2,autotools_dev --parallel

# Here follows a small shell snipped to call dh_auto_* for all plugins
# Currently
# - if a Makefile exists in the plugin directory
#   we run dh_auto_$(1) with -O--sourcedirectory="$$plugin"
# - if $${plugin}/src exists, we run dh_auto_$(1) on that directory
# - else: fail :)
DH_AUTO_CALL = 	if [ "$$auto_command" = "dh_auto_configure" ]; then \
		    export options="$$options -- --enable-stack-protector" ;\
		fi ;\
		if [ -f $(CURDIR)/$$plugin/Makefile ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}" $$options; \
		elif [ -d $(CURDIR)/$$plugin/src ]; then \
			$$auto_command -O--sourcedirectory="$${plugin}/src" $$options; \
		else \
			echo failed to build $$plugin; exit 255 ; \
		fi

PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py


clean: $(PLUGINS:%=clean-%) debian/copyright debian/control
	dh $@ --with quilt,python2,autotools_dev --parallel
	rm -f debian/gimp-plugin-registry.install

clean-%:
	rm -rf debian/$*

dh_auto_install-%:
	# run dh_auto_install to debian/$plugin
	set -e ;\
	    export auto_command="dh_auto_install" ;\
	    export plugin="$*" ;\
	    export options="--destdir=debian/$*" ;\
	    $(DH_AUTO_CALL)
	if [ -d debian/$*/usr/lib/gimp-plugin-registry ]; then \
	    mkdir -p debian/$*/usr/lib/gimp/2.0 ;\
	    mv debian/$*/usr/lib/gimp-plugin-registry debian/$*/usr/lib/gimp/2.0/plug-ins ;\
	fi
	# add files to debian/gimp-plugin-registry.install
	set -e; find debian/$* -type f -printf '%h\n' | sort -u  |\
	    while read dir; do \
	        echo "$$dir/* `echo $$dir | sed 's,debian/$*/,,'`" ;\
	    done >> debian/gimp-plugin-registry.install
	# create shlibdeps for the plugin into a temp file
	set -e; \
	   opts=`find debian/$* -type f -exec file {} \; |\
	   grep -E ' ELF ' |\
	   sed 's,:.*,,;s,^,-e,' |\
	   tr '\n' ' '` ;\
	   if [ -n "$$opts" ]; then \
	   	dpkg-shlibdeps -O $$opts | grep shlibs:Depends > debian/$*/substvars ;\
	   fi
       
dh_auto_%:
	set -e; \
	    export auto_command=`echo $* | sed 's,-.*,,;s,^,dh_auto_,'` ;\
	    export plugin=`echo $* | sed 's,[^-]*-,,'` ;\
	    $(DH_AUTO_CALL)


override_dh_auto_build: $(PLUGINS:%=dh_auto_build-%)

override_dh_auto_clean: $(PLUGINS:%=dh_auto_clean-%)

override_dh_auto_configure: $(PLUGINS:%=dh_auto_configure-%)

override_dh_auto_install: $(PLUGINS:%=dh_auto_install-%)
	#$(PACKAGING_HELPER) --generate-readme

#override_dh_auto_test: $(PLUGINS:%=dh_auto_test-%)
override_dh_auto_test: 
	# nothign to do right now.

override_dh_python2:
	dh_python2
	dh_python2 usr/lib/gimp/2.0/python

CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)
debian/copyright: debian/copyright.in debian/packaging-helper.py $(CONTROL_FILES) $(COPYRIGHT_FILES)
	$(PACKAGING_HELPER) --copyright
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi

debian/control: debian/control.in debian/packaging-helper.py $(CONTROL_FILES)
	$(PACKAGING_HELPER) --control
	-if [ -d .git ]; then git add $@; git commit -m 'Auto update of $@' $@; fi


watch:
	@$(PACKAGING_HELPER) --watch

.PHONY: watch override_dh_auto_build override_dh_auto_clean override_dh_auto_configure override_dh_auto_install override_dh_auto_test

## gimp-plugin-registry 9.20200927

=== gimp-mask/Makefile ===
PLUGIN = gimpmask

include ../common.mk

=== debian/changelog ===
gimp-plugin-registry (9.20200927) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Remove python 2 dependencies. (Closes: #936612)
  * Fix FTBFS with gcc 10 (Closes: #957272)
  * gimp-mask: add autopkgtest
  * resynthesizer: ported to python3
  * Temporary disable python plugins (Closes: #966744)
  * lqr: fix parameter name (Closes: #962170)
  * lqr: add autopkgtest (Closes: #959152)
  * debian/control.in: Change myself as Maintainer (Closes: #967854)
  * debian/control.in: fix debhelper version to 9.
  * debian/control.in: Change VCS-* to salsa (Closes: #967852)
  * Auto update of debian/control

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 27 Sep 2020 21:50:34 +0800

gimp-plugin-registry (9.20180625+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * port packaging-helper.py to python3, partially addresses #936612

 -- Sandro Tosi <morph@debian.org>  Fri, 10 Apr 2020 21:15:11 -0400

=== debian/watch ===
# This package is a collections of plugins,
# so there's no upstream and no upstream tarball.

## gimp-plugin-registry 9.20200927build1

=== debian/changelog ===
gimp-plugin-registry (9.20200927build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Sat, 12 Mar 2022 07:48:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: gimp-plugin-registry
 Section: graphics
 Priority: optional
-Maintainer: Bernd Zeimetz <bzed@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
- dh-python, python2, automake, autoconf, autotools-dev, dh-autoreconf,
- libxml-parser-perl, liblqr-1-0-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 8.0.0), libglib2.0-dev,
- python-debian
+ automake, autoconf, autotools-dev, dh-autoreconf,
+ libxml-parser-perl, liblqr-1-0-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 9), libglib2.0-dev,
+ python3, python3-debian, dh-python
 Standards-Version: 3.9.5
-Vcs-Git: https://github.com/bzed/gimp-plugin-registry.git
-Vcs-Browser: https://github.com/bzed/gimp-plugin-registry
+Vcs-Git: https://salsa.debian.org/debian/gimp-plugin-registry.git
+Vcs-Browser: https://salsa.debian.org/debian/gimp-plugin-registry
 
 Package: gimp-plugin-registry
 Architecture: any
 Depends: gimp (>= 2.6),
- ${shlibs:Depends}, ${misc:Depends},
- python2, ${python:Depends}, libtiff-tools, xdg-utils,
+ ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+ python3, libtiff-tools, xdg-utils,
 Suggests: icc-profiles, 
 Breaks: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer (<< 0.16-2~)
 Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 
 GIMPVER := $(shell dpkg -s libgimp2.0-dev | grep Version | awk '{print $$2}')
 export GIMPVER
-PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -name old_plugins -prune -o -type d -printf '%f\n' | sort)
+ALL_PLUGINS := $(shell find $(CURDIR) -mindepth 1 -maxdepth 1 -name .git -prune -o -name .pc -prune -o -name debian -prune -o -name old_plugins -prune -o -type d -printf '%f\n' | sort)
+export ALL_PLUGINS
+DISABLE_PLUGINS := btn4ws cmyk-tiff-2-pdf contact-sheet ez-perspective layer-effects openraster resynthesizer null
+PLUGINS := $(shell for i in $(ALL_PLUGINS); do A=1; for j in $(DISABLE_PLUGINS); do if [ x$$i = x$$j ]; then A=0; fi; done; if [ $$A -ne 0 ]; then echo $$i; fi; done)
 export PLUGINS
 PLUGINBINDIR := "/usr/lib/gimp/2.0/plug-ins"
 export PLUGINBINDIR
@@ -14,7 +17,7 @@
 export PLUGINSCRIPTDIR
 
 %:
-	dh $@ --with quilt,python2,autotools_dev --parallel
+	dh $@ --with quilt,python3,autotools_dev --parallel
 
 # Here follows a small shell snipped to call dh_auto_* for all plugins
 # Currently
@@ -33,11 +36,11 @@
 			echo failed to build $$plugin; exit 255 ; \
 		fi
 
-PACKAGING_HELPER = /usr/bin/python $(CURDIR)/debian/packaging-helper.py
+PACKAGING_HELPER = /usr/bin/python3 $(CURDIR)/debian/packaging-helper.py
 
 
-clean: $(PLUGINS:%=clean-%) debian/copyright debian/control
-	dh $@ --with quilt,python2,autotools_dev --parallel
+clean: $(ALL_PLUGINS:%=clean-%) debian/copyright debian/control
+	dh $@ --with quilt,python3,autotools_dev --parallel
 	rm -f debian/gimp-plugin-registry.install
 
 clean-%:
@@ -89,9 +92,9 @@
 override_dh_auto_test: 
 	# nothign to do right now.
 
-override_dh_python2:
-	dh_python2
-	dh_python2 usr/lib/gimp/2.0/python
+override_dh_python3:
+	dh_python3
+	dh_python3 usr/lib/gimp/2.0/python
 
 CONTROL_FILES := $(shell for p in $(PLUGINS); do echo $$p/control; done)
 COPYRIGHT_FILES := $(shell for p in $(PLUGINS); do echo $$p/copyright; done)

=== debian/tests/control ===
Tests: test-gimp-mask-1
Depends: @, imagemagick, plasma-workspace-wallpapers, xautomation
Restrictions: allow-stderr

Tests: test-lqr-1
Depends: @, imagemagick, plasma-workspace-wallpapers, jpeginfo
Restrictions: allow-stderr

## gimp-plugin-registry 9.20200928

=== DBP/Makefile ===
include ../common-settings.mk

build: build-stamp
build-stamp:
	if dpkg --compare-versions $(GIMPVER) '>=' 2.3; then \
	    make -C src CPPFLAGS="$(CFLAGS)" NODEPS="" dbp  ;\
	else \
	    make -C src CPPFLAGS="$(CFLAGS)" dbp ;\
	fi
	touch build-stamp

clean:
	rm -f build-stamp
	-make -C src clean

install:
	mkdir -p $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 src/dbp $(DESTDIR)$(PLUGINBINDIR)
	mkdir -p $(DESTDIR)$(DOCDIR)
	install -m 644 src/dbp.html src/dbp-main.png src/dbp-fileSelector.png $(DESTDIR)$(DOCDIR)


.PHONY: clean

=== wavelet-denoise/Makefile ===

build: build-stamp

build-stamp:
	make -C src LDFLAGS="$(LDFLAGS) -lm" CFLAGS="$(CFLAGS) $(shell gimptool-2.0 --cflags)"
	touch build-stamp

install: build
	make -C src/po install LOCALEDIR=$(DESTDIR)/usr/share/locale 
	install -d -m 755 $(DESTDIR)$(PLUGINBINDIR)
	install -m 755 src/src/wavelet-denoise $(DESTDIR)$(PLUGINBINDIR)

clean:
	rm -f build-stamp
	make -C src clean

.PHONY: install clean build

=== debian/changelog ===
gimp-plugin-registry (9.20200928) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Upgrade to newer source format 3.0 (native).

  [ Ying-Chun Liu (PaulLiu) ]
  * Patch to fix Separate+ plugin crash (Closes: #1023452)
    - Add debian/patches/separate+/tile_size.patch
    - Thanks to Andreas Heinlein <aheinlein@gmx.com>
  * Bump debhelper version to 10
    - Remove debian/compat file. Use debhelper-compat build-depends.
    - Remove dh-autoreconf and autotools-dev build-depends.
    - Remove dh --with autotools-dev
    - Remove dh --parallel
  * Add autopkgtest for Separate+ plugin.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 08 Nov 2022 02:09:56 +0800

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: autotools-dev, quilt, libgimp2.0-dev, intltool,
- automake, autoconf, autotools-dev, dh-autoreconf,
- libxml-parser-perl, liblqr-1-0-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper (>= 9), libglib2.0-dev,
+Build-Depends: quilt, libgimp2.0-dev, intltool,
+ automake, autoconf,
+ libxml-parser-perl, liblqr-1-0-dev, automake (>= 1.6), autoconf (>= 2.54), liblcms2-dev, libtiff-dev, debhelper-compat (= 10), libglib2.0-dev,
  python3, python3-debian, dh-python
 Standards-Version: 3.9.5
 Vcs-Git: https://salsa.debian.org/debian/gimp-plugin-registry.git
@@ -16,12 +16,12 @@
 Depends: gimp (>= 2.6),
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3, libtiff-tools, xdg-utils,
-Suggests: icc-profiles, 
+Suggests: icc-profiles,
 Breaks: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer (<< 0.16-2~)
 Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer
 Provides: gimp-save-for-web, gimp-resynthesizer
 Enhances: gimp
-Recommends: gimp-gmic, 
+Recommends: gimp-gmic,
 Description: repository of optional extensions for GIMP
  The package contains the following plugins:
  .

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,6 @@
 Depends: @, imagemagick, plasma-workspace-wallpapers, jpeginfo
 Restrictions: allow-stderr
 
+Tests: test-separate-1
+Depends: @, imagemagick, plasma-workspace-wallpapers, colord-data, libgs-common
+Restrictions: allow-stderr

## gimp-plugin-registry 9.20200928build1

=== debian/changelog ===
gimp-plugin-registry (9.20200928build1) lunar; urgency=medium

  * No-change rebuild against libtiff6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 05 Feb 2023 04:01:26 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gimp-plugin-registry
 Section: graphics
 Priority: optional
-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: quilt, libgimp2.0-dev, intltool,
  automake, autoconf,

## gimp-plugin-registry 9.20200928%2Brb1

=== debian/changelog ===
gimp-plugin-registry (9.20200928+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Tue, 11 Jul 2023 05:14:25 +0800

## gimp-plugin-registry 9.20240404

=== diana-holga2/Makefile ===
SCRIPT = diana-holga2c.scm
include ../common-script.mk

=== ez-perspective/Makefile ===
SCRIPT = ez-perspective.py

include ../common-py.mk

=== resynthesizer/Makefile ===

include ../common-autotools.mk

$(SRCDIR)/configure: $(SRCDIR)/autogen.sh
	cd src; ./autogen.sh

=== separate+/separate+/Makefile ===
GIMP_VER = 2.4

#USE_LCMS2 = yes

PREFIX      = /usr
INSTALLDIR  = $(PREFIX)/lib/gimp/2.0/plug-ins
#INSTALLDIR = $(HOME)/.gimp-$(GIMP_VER)/plug-ins

ifdef USE_LCMS2
  LCMS_PKG  = lcms2
  CFLAGS   += -DUSE_LCMS2
else
  LCMS_PKG  = lcms
endif

GTK_INCLUDE  = `pkg-config gtk+-2.0 --cflags`
GTK_LIB      = `pkg-config gtk+-2.0 --libs`
GIMP_INCLUDE = `pkg-config gimp-2.0 --cflags` `pkg-config gimpui-2.0 --cflags`
GIMP_LIB     = `pkg-config gimp-2.0 --libs` `pkg-config gimpui-2.0 --libs`
LCMS_INCLUDE = `pkg-config $(LCMS_PKG) --cflags`
LCMS_LIB     = `pkg-config $(LCMS_PKG) --libs`
TIFF_LIB     = -ltiff
JPEG_LIB     = -ljpeg

GETTEXT_PACKAGE = gimp20-separate

VERSION = 0.5.8
CC      = gcc -g
DEPEND  = gccmakedep
RM      = rm -f
MAKE    = make PREFIX="$(PREFIX)"

.SUFFIXES: .c .o

# If you will use with the GIMP 2.2.x, remove "-DENABLE_COLOR_MANAGEMENT".
CM      = -DENABLE_COLOR_MANAGEMENT
NLS     = -DENABLE_NLS -DGETTEXT_PACKAGE="\"$(GETTEXT_PACKAGE)\""
CFLAGS += $(GIMP_INCLUDE) $(GTK_INCLUDE) $(LCMS_INCLUDE) $(CM) $(NLS) \
          -DUSE_ICC_BUTTON
LIBS    = $(GIMP_LIB) $(GTK_LIB) $(LCMS_LIB) $(TIFF_LIB) $(JPEG_LIB)

SOURCES = $(SEPARATE_SOURCES) $(IMPORT_SOURCES) \
          $(ICC_COLORSPACE_SOURCES) $(EXTRA_SOURCES)

OBJECTS = $(SOURCES:.c=.o)

EXTRA_SOURCES = iccbutton.c lcms_wrapper.c

SEPARATE_SOURCES = separate-core.c separate-gui.c separate-export.c util.c tiff.c psd.c jpeg.c

SEPARATE_OBJECTS = $(SEPARATE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

IMPORT_SOURCES = import.c

IMPORT_OBJECTS = $(IMPORT_SOURCES:.c=.o)

ICC_COLORSPACE_SOURCES = icc_colorspace.c

ICC_COLORSPACE_OBJECTS = $(ICC_COLORSPACE_SOURCES:.c=.o) $(EXTRA_SOURCES:.c=.o)

TARGETS = separate separate_import icc_colorspace


.PHONY: all
all: plugins catalogs

depend:
	$(DEPEND) -- $(CFLAGS) -- $(SOURCES)

clean-plugins:
	$(RM) $(OBJECTS) $(TARGETS) core *~

clean-catalogs:
	cd po && $(MAKE) clean

clean: clean-plugins clean-catalogs

catalogs:
	cd po && $(MAKE)

plugins: $(TARGETS)

separate: $(SEPARATE_OBJECTS)
	$(CC) $(LDFLAGS) $(SEPARATE_OBJECTS) -o $@ $(LIBS)

separate_import: $(IMPORT_OBJECTS)
	$(CC) $(LDFLAGS) $(IMPORT_OBJECTS) -o $@ $(LIBS)

icc_colorspace: $(ICC_COLORSPACE_OBJECTS)
	$(CC) $(LDFLAGS) $(ICC_COLORSPACE_OBJECTS) -o $@ $(LIBS)

install-catalogs:
	cd po && $(MAKE) install

install-plugins: $(TARGETS)
	install -d "$(INSTALLDIR)"
	install -c -s $^ "$(INSTALLDIR)"

install: install-plugins install-catalogs

uninstall-plugins:
	targets="$(TARGETS)"; \
	for target in $$targets; do \
		$(RM) "$(INSTALLDIR)/$$target"; \
	done

uninstall-catalogs:
	cd po && $(MAKE) uninstall

uninstall: uninstall-plugins uninstall-catalogs


# Inference rules
.c.o:
	$(CC) $(CFLAGS) -c $<


#
iccbutton.o: iccbutton.h iccclassicons.h lcms_wrapper.h
lcms_wrapper.o: lcms_wrapper.h
separate-core.o: separate.h separate-core.h lcms_wrapper.h
separate-export.o: separate.h separate-export.h tiff.h psd.h jpeg.h
separate-gui.o: separate.h separate-core.h separate-export.h iccbutton.h icon.h
import.o: separate.h
icc_colorspace.o: icc_colorspace.h iccbutton.h lcms_wrapper.h
tiff.o: separate.h util.h tiff.h
psd.o: separate.h util.h psd.h
jpeg.o: separate.h util.h jpeg.h
util.o: separate.h util.h

=== wavelet-denoise/wavelet-denoise-0.3.1/Makefile ===
.PHONY: all po src install userinstall clean dist install uninstall

all: po src

po:
	$(MAKE) -C po
src:
	$(MAKE) -C src

install:
	$(MAKE) -C po install
	$(MAKE) -C src install

uninstall:
	$(MAKE) -C po uninstall
	$(MAKE) -C src uninstall

userinstall:
	$(MAKE) -C po userinstall
	$(MAKE) -C src userinstall

useruninstall:
	$(MAKE) -C po useruninstall
	$(MAKE) -C src useruninstall

clean:
	$(MAKE) -C po clean
	$(MAKE) -C src clean

dist:
	$(error make dist not implemented!)

=== debian/changelog ===
gimp-plugin-registry (9.20240404) unstable; urgency=low

  [ Vladimir Petko ]
  * Fix ftbfs (Closes: #1066291)
    - d/control.in: fix typo in debhelper-compat.
    - d/p/separate+/missing-declaration.patch: fix missing function
      declarations.

  [ Ying-Chun Liu (PaulLiu) ]
  * Auto update of debian/control

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 09 Apr 2024 19:56:26 +0800

## gimp-plugin-registry 9.20240808

=== elsamuko/Makefile ===
SCRIPT = $(wildcard *.scm)

include ../common-script.mk

=== exposure-blend/Makefile ===
SCRIPT = exposure-blend-tinyscheme.scm

include ../common-script.mk

=== openraster/Makefile ===
SCRIPT = file-ora.py

include ../common-py.mk

=== planet-render/Makefile ===

SCRIPT = planet-render1-2.scm

include ../common-script.mk

=== separate+/Makefile ===
build: build-stamp

build-stamp:
	make -C src TARGETS="separate separate_import" CC="gcc -g $(CFLAGS)" USE_LCMS2=yes
	touch build-stamp

install: build
	make -C src install PREFIX=$(DESTDIR)/usr TARGETS="separate separate_import"

clean:
	rm -f build-stamp
	make -C src clean

.PHONY: install clean build

=== smart-seperate-sharpen/Makefile ===
SCRIPT = Eg-SmartSeparateSharpen.scm

include ../common-script.mk

=== wavelet-denoise/wavelet-denoise-0.3.1/po/Makefile ===
PLUGIN = wavelet-denoise
LOCALEDIR = /usr/share/locale
LANGUAGES = de ru it et pl

# END CONFIG ##################################################################

.PHONY: all install userinstall uninstall useruninstall clean $(LANGUAGES)
.PHONY: update-po update-pot

all: $(LANGUAGES)

PO_FILES = $(foreach lang, $(LANGUAGES), $(lang).po)

$(LANGUAGES):
	msgfmt -c -v -o $@.mo $@.po

update-po: $(PO_FILES)

$(PO_FILES): $(PLUGIN).pot
	if [[ -e $@ ]]; \
	then msgmerge -U $@ $^; \
	else msginit -l $(subst .po,,$@) -o $@ -i $^; \
fi

install: $(LANGUAGES)
	for L in $(LANGUAGES); \
	do install -v -m 0644 $$L.mo "$(LOCALEDIR)/$$L/LC_MESSAGES/gimp20-$(PLUGIN)-plug-in.mo"; \
done

uninstall: $(LANGUAGES)
	for L in $(LANGUAGES); \
	do rm -vf "$(LOCALEDIR)/$$L/LC_MESSAGES/gimp20-$(PLUGIN)-plug-in.mo"; \
done

clean:
	rm -f *.po~ *.mo $(PLUGIN).pot

userinstall:
	$(warning Will not install gettext files for user installation!)

useruninstall:
	$(warning Will not uninstall gettext files for user installation!)

$(PLUGIN).pot: ../src/*.h ../src/*.c
	xgettext -C '-k_' -kN_ -d $(PLUGIN) -o $@ $^

update-pot: $(PLUGIN).pot

=== debian/changelog ===
gimp-plugin-registry (9.20240808) unstable; urgency=low

  * Refresh debian/patches/separate+/missing_linker_flags
  * Add debian/patches/separate+/gcc-14.patch (Closes: #1075000)
  * Add debian/patches/gimp-mask/gcc-14.patch (Closes: #1075000)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Fri, 09 Aug 2024 16:49:40 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gimp-plugin-registry
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
+Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>
 Build-Depends: quilt, libgimp2.0-dev, intltool,
  automake, autoconf,
@@ -17,12 +16,12 @@
 Depends: gimp (>= 2.6),
  ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
  python3, libtiff-tools, xdg-utils,
-Suggests: icc-profiles,
+Suggests: icc-profiles, 
 Breaks: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer (<< 0.16-2~)
 Replaces: gimp-refocus (<< 0.9.0-2), gimp-save-for-web, gimp-resynthesizer
 Provides: gimp-save-for-web, gimp-resynthesizer
 Enhances: gimp
-Recommends: gimp-gmic,
+Recommends: gimp-gmic, 
 Description: repository of optional extensions for GIMP
  The package contains the following plugins:
  .

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 export PLUGINSCRIPTDIR
 
 %:
-	dh $@ --with quilt,python3,autotools_dev --parallel
+	dh $@ --with quilt,python3
 
 # Here follows a small shell snipped to call dh_auto_* for all plugins
 # Currently
@@ -40,7 +40,7 @@
 
 
 clean: $(ALL_PLUGINS:%=clean-%) debian/copyright debian/control
-	dh $@ --with quilt,python3,autotools_dev --parallel
+	dh $@ --with quilt,python3
 	rm -f debian/gimp-plugin-registry.install
 
 clean-%:
@@ -71,7 +71,7 @@
 	   if [ -n "$$opts" ]; then \
 	   	dpkg-shlibdeps -O $$opts | grep shlibs:Depends > debian/$*/substvars ;\
 	   fi
-       
+
 dh_auto_%:
 	set -e; \
 	    export auto_command=`echo $* | sed 's,-.*,,;s,^,dh_auto_,'` ;\
@@ -89,7 +89,7 @@
 	#$(PACKAGING_HELPER) --generate-readme
 
 #override_dh_auto_test: $(PLUGINS:%=dh_auto_test-%)
-override_dh_auto_test: 
+override_dh_auto_test:
 	# nothign to do right now.
 
 override_dh_python3:
